Package edu.wisc.game.rest

## Class GameServiceHtml

- java.lang.Object
- - edu.wisc.game.rest.GameService
  - - edu.wisc.game.rest.GameServiceHtml

-     @Path("/GameServiceHtml")
      public class GameServiceHtml
      extends GameService

  The HTML wrapper for the First Batch calls, to allow for the "HTML Play".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GameServiceHtml()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `moveHtml​(String episodeId, int x, int y, int bx, int by, int cnt)` |
    `String` | `newEpisodeHtml​(String rules, int pieces, int shapes, int colors, String boardName)` |

    - ### Methods inherited from class edu.wisc.game.rest.GameService

      `display, getBoard, getBoard1, getBoard2, getHello1, getHello2, getPiece1, getPiece2, listInitialBoards, listRules, move, newEpisode, saveBoard, startTrial, writeFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GameServiceHtml

          public GameServiceHtml()

  - ### Method Detail

    - #### newEpisodeHtml

          @POST
          @Path("/newEpisodeHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String newEpisodeHtml​(@FormParam("rules")
                                       String rules,
                                       @DefaultValue("0") @FormParam("pieces")
                                       int pieces,
                                       @DefaultValue("0") @FormParam("shapes")
                                       int shapes,
                                       @DefaultValue("0") @FormParam("colors")
                                       int colors,
                                       @DefaultValue("null") @FormParam("board")
                                       String boardName)

    - #### moveHtml

          @POST
          @Path("/moveHtml")
          @Consumes("application/x-www-form-urlencoded")
          @Produces("text/html")
          public String moveHtml​(@FormParam("episode")
                                 String episodeId,
                                 @FormParam("x")
                                 int x,
                                 @FormParam("y")
                                 int y,
                                 @FormParam("bx")
                                 int bx,
                                 @FormParam("by")
                                 int by,
                                 @FormParam("cnt")
                                 int cnt)